SoMFVec4f(3)

NAME
SoMFVec4f - The SoMFVec4f class is a container for SbVec4f vectors.

SYNOPSIS

#include <Inventor/fields/SoMFVec4f.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFVec4f & operator= (const SoMFVec4f &field)
virtual SbBool isSame (const SoField &field) const
const SbVec4f & operator[] (const int idx) const
const SbVec4f * getValues (const int start) const
int find (const SbVec4f &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbVec4f *newvals)
void set1Value (const int idx, const SbVec4f &value)
void setValue (const SbVec4f &value)
const SbVec4f & operator= (const SbVec4f &val)
SbBool operator== (const SoMFVec4f &field) const
SbBool operator!= (const SoMFVec4f &field) const
SbVec4f * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const SbVec4f *userdata)
void setValuesPointer (const int num, SbVec4f *userdata)
void setValuesPointer (const int num, const float *userdata)
void setValuesPointer (const int num, float *userdata)
void setValues (int start, int num, const float xyzw[][4])
void set1Value (int idx, float x, float y, float z, float w)
void set1Value (int idx, const float xyzw[4])
void setValue (float x, float y, float z, float w)
void setValue (const float xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbVec4f * values

  Additional Inherited Members

Detailed Description

The SoMFVec4f class is a container for SbVec4f vectors. This field is used where nodes, engines or other field containers need to store an array of vectors with four elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SbVec4f, SoSFVec4f

Member Function Documentation

  void * SoMFVec4f::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFVec4f::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFVec4f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFVec4f::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFVec4f::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFVec4f::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFVec4f::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbVec4f * SoMFVec4f::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFVec4f::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFVec4f::setValues (int start, int numarg, const float xyzw[][4])
Set num vector array elements from xyzw, starting at index start.

  void SoMFVec4f::set1Value (int idx, float x, float y, float z, float w)
Set the vector at idx.

  void SoMFVec4f::set1Value (int idx, const float xyzw[4])
Set the vector at idx.

  void SoMFVec4f::setValue (float x, float y, float z, float w)
Set this field to contain a single vector with the given element values.

  void SoMFVec4f::setValue (const float xyzw[4])
Set this field to contain a single vector with the given element values.

Author

Generated automatically by Doxygen for Coin from the source code.